PWCK(8)

NOME
pwck - verifica l'integrità dei file delle password

SINOSSI

pwck [opzioni] [passwd [ shadow ]]

DESCRIZIONE

pwck verifica l'integrità delle informazioni su utenti e autenticazione del sistema. Ogni voce in /etc/passwd e in /etc/shadow

Vengono fatti controlli per verificare che ogni voce abbia:

    • il corretto numero di campi

    • un nome utente univoco e valido

    • identificatori validi dell'utente e del gruppo

    • un gruppo primario valido

    • una home directory valida

    • una shell di login valida

Le verifiche sul file shadow sono abilitate ogni volta che si usa un secondo argomento o quanto esiste nel sistema il file /etc/shadow.

Le verifiche sono le seguenti:

    • ogni elemento del file passwd deve avere un corrispondente elemento in shadow, e viceversa

    • le password sono specificate nel file shadow

    • gli elementi di shadow hanno il corretto numero di campi

    • gli elementi di shadow sono unici

    • le date di ultima modifica non sono nel futuro

Gli errori nelle verifiche sul corretto numero di campi e sull'univocità del nome utente sono irrimediabili. Se una voce ha un numero errato di campi, all'utente viene chiesto di cancellare l'intera riga; se l'utente non risponde affermativamente, vengono omessi tutti gli ulteriori controlli. Viene richiesta la cancellazione anche per le voci aventi il nome utente duplicato, ma i rimanenti controlli vengono ugualmente effettuati. Tutti gli altri errori non sono gravi e l'utente è invitato a eseguire il comando usermod per correggerli.

I comandi che operano sul file /etc/passwd non sono in grado di modificare voci corrotte o duplicate; in tali circostanze va usato pwck per rimuovere la voce scorretta.

OPZIONI

Le opzioni -r e -s non possono essere combinate.

Il comando pwck accetta le seguenti opzioni:

-h, --help
    Mostra un messaggio di aiuto ed esce.

-q, --quiet
    Riporta solo gli errori. Gli avvisi che non richiedono azioni da parte dell'utente non sono mostrati.

-r, --read-only
    Esegue il comando pwck in sola lettura.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-s, --sort
    Ordina gli elementi di /etc/passwd e /etc/shadow per UID.

Come impostazione predefinita, pwck opera sui file /etc/passwd e in /etc/shadow. L'utente può selezionare file alternativi con i parametri passwd e shadow.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

PASS_MAX_DAYS (numerico)
    Il numero massimo di giorni che una password può essere utilizzata. Se la password è più vecchia verrà imposto il suo cambiamento. Se non specificato viene assunto -1 (che disabilita questo controllo).

PASS_MIN_DAYS (numerico)
    Il numero minimo di giorni tra due cambiamenti di password. Ogni tentativo di cambiare la password prima di questo periodo verrà rifiutato. Se non specificato viene assunto -1 (che disabilita questo controllo).

PASS_WARN_AGE (numerico)
    Il numero di giorni per i quali un utente va avvisato che la sua password sta per scadere. Se zero l'utente viene avvisato solo alla scadenza. Un valore negativo indica che non si deve avvisare mai. Se non specificato allora non c'è nessun avviso.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

VALORI RESTITUITI

Il comando pwck restituisce i seguenti valori:

0
    successo

1
    sintassi del comando errata

2
    una o più voci di password conengono errori

3
    impossibile aprire i file delle password

4
    impossibile fare il lock dei file delle password

5
    impossibile aggiornare i file delle password

6
    impossibile ordinare i file delle password

VEDERE ANCHE

group(5), grpck(8), passwd(5), shadow(5), usermod(8).